Redux E2M4 dynamic lights issue on GZDoom 3.1

I wanted to play something different, and looking through my WADs folder I figured I'd try out that map (link), but since I'm using GZDoom 3-1-0a and not GZDoom 1.4.8 (or any older version), it turns out that the dynamic lights on it are missing/not working.

 

Initially, when I fire up GZDoom, I get these errors in the console:

Script error, "Redux e2m4.pk3:trisktex.wad:DOOMDEFS" line 963:
Warning: dynamic lights attached to non-existent actor ATBlueCard
Script error, "Redux e2m4.pk3:trisktex.wad:DOOMDEFS" line 982:
Warning: dynamic lights attached to non-existent actor ATYellowCard
Script error, "Redux e2m4.pk3:trisktex.wad:DOOMDEFS" line 1001:
Warning: dynamic lights attached to non-existent actor ATRedCard

Then the game comes up, and when I go to the initial "configuration" map, only a turquoise light is shown, nothing else:

 

5VIlmUD.jpg
How it should look.

 

uESiW31.png
How it looks on GZDoom 3.1.

 

I tried fiddling with some of the dynamic light settings on GZDoom, to no avail. I looked around on this forum looking for someone who might have had this issue before, but nothing came up. I'm stumped.

 

A little help, please! thanks in advance, guys!

Edited by Haematobic

Posted (edited)

Share this post


Link to post

I know this isn't the answer you're looking for, but why don't you just use the version you're supposed to use? I'm not an expert, but I think that map uses outdated code that isn't supported in modern versions of GZDoom, and if that's the case, it's unlikely that you can find a solution that doesn't involve messing with the map's coding.

Share this post


Link to post
23 hours ago, KVELLER said:

I know this isn't the answer you're looking for, but why don't you just use the version you're supposed to use? I'm not an expert, but I think that map uses outdated code that isn't supported in modern versions of GZDoom, and if that's the case, it's unlikely that you can find a solution that doesn't involve messing with the map's coding.

I've considered it. I know it's a bit of a workaround, in the sense that you'd be missing out on GZDoom's newest features, so I was wondering if there's something else that could be done to get it working on the latest version.

 

Not sure if the map creator lurks the forum and if he's already aware of the compatibility issues.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!


Register a new account

Sign in

Already have an account? Sign in here.


Sign In Now